/*
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 * 
 */

#pragma once

#ifndef __CFORTRAN_LOADED
#include <cfortran.h>
#endif

#ifndef WIN32
// name mangling
// short names for proper linking with fortran object files
#define edep_init edpini_
#define edep_finish edpfin_
#define edep_save edpsav_
#else
#define edep_init EDPINI
#define edep_finish EDPFIN
#define edep_save EDPSAV
#endif

#ifdef __cplusplus
extern "C" {
#endif

/// Call in USRINI user routine as EDPINI (USRICALL card)
void edep_init();

/// Call in USROUT user routine as EDPFIN (USROCALL card)
void edep_finish();

/// Call in MGDRAW user routine, EEDRAW entry as EDPSAV (USERDUMP card)
void edep_save(DOUBLE_PRECISION* detect);

#ifdef __cplusplus
}
#endif
